#include "../include/Data.h"

namespace environment {
namespace data {

  bool Data::init (std::string section, const char * filename, const char ** list_section)
  {
    for (uint32_t it = 0; it < nb_seg; it ++)
      if (segment[it]->test(section) == true)
	return segment[it]->init(filename,list_section);
    
    return false;
  }
  
};
};
